Mantis Issue Tracking for Scribus
· Hosting provided by / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001118ScribusUsabilitypublic2004-09-18 22:282007-03-30 08:56
Assigned ToTsoots 
PlatformLinuxOSMandrakeOS Version10
Product Version1.3 
Target VersionFixed in Version1.3.4cvs 
Summary0001118: Give instant access to Style editor from within the Properties palette>Text
DescriptionSince not all text settings are available in the Properties palette>Text, I think it would be nice to be able to access the Style Editor with a mouse click (and a keyboard shortcut) when in the Properties palette. *Edit current style* or something like that would be the name of that button.
TagsNo tags attached.
Attached Files

- Relationships
related to 0003448assignedjghali Improvements to properties palette 
related to 0003436acknowledged Add "edit style" buttos to the properties palette 
related to 0002685closed Style drop down box acessible from the main tool bar 
related to 0003817closedTsoots Map styles to keyboard shortcuts 

-  Notes
christoph_s (administrator)
2005-07-24 03:55

Maybe an equivalent of "edit -> styles" in the form of a "Style" entry would be more appropriate? (As a long time StarOffice/ user, the "Stylist" comes to my mind)
mhanski (developer)
2006-04-13 23:50

Planned in Roadmap Extras [^]
with no ETA

Changing the status to acknowledged
mhanski (developer)
2006-04-19 21:01

Reminder sent to: Tsoots

Tsoots (manager)
2006-04-19 21:35

With the new text engine every text related property will be available directly from the properties palette (ie. you won't need to create a paragraph style to set line spacing for a paragraph (different from all other paragraphs in a text frame). Some short cut to styles would be still nice.
louisdesjardins (developer)
2006-04-19 21:42

Yes, we absolutely need shortcuts for styles. This is a must for production. Ideally, the keypad is used for that. Ideally, only one hand has to be used for the mostly used styles, so direct access to the numbers 0-9 AND the ability to use Shift + Keypad, etc., for more styles.

- Issue History
Date Modified Username Field Change
2004-09-18 22:28 louisdesjardins New Issue
2005-07-24 03:55 christoph_s Note Added: 0005685
2005-07-24 08:41 ringerc Category Styles => Usability
2006-03-17 08:37 jo-hannes Relationship added related to 0003436
2006-04-08 18:55 mhanski Relationship added related to 0003448
2006-04-13 23:50 mhanski Note Added: 0009924
2006-04-13 23:50 mhanski Status new => acknowledged
2006-04-13 23:50 mhanski Product Version 1.2.1cvs => 1.3
2006-04-14 16:28 mhanski Relationship added related to 0002685
2006-04-19 21:01 mhanski Note Added: 0010131
2006-04-19 21:32 Tsoots Status acknowledged => assigned
2006-04-19 21:32 Tsoots Assigned To => Tsoots
2006-04-19 21:35 Tsoots Note Added: 0010140
2006-04-19 21:42 louisdesjardins Note Added: 0010141
2006-05-14 14:11 louisdesjardins Relationship added related to 0003817
2007-03-30 00:10 cbradney Status assigned => resolved
2007-03-30 00:10 cbradney Fixed in Version => 1.3.4cvs
2007-03-30 00:10 cbradney Resolution open => fixed
2007-03-30 08:56 cbradney Status resolved => closed

Copyright © 2000 - 2015 MantisBT Team
Powered by Mantis Bugtracker